Summary:   A simple converter to create Ogg Theora files
Name:      ffmpeg2theora
Version:   0.28
Release:   %mkrel 2
Group:     Video
License:   GPLv3
URL:       http://www.v2v.cc/~j/ffmpeg2theora/
Source0:   http://v2v.cc/~j/ffmpeg2theora/downloads/%{name}-%{version}.tar.bz2
Patch0:    ffmpeg2theora-0.28-fix-str-fmt.patch
Patch1:    ffmpeg2theora-0.28-ffmpeg-0.10.patch
BuildRequires: ffmpeg-devel >= 0.8
BuildRequires: libvorbis-devel
BuildRequires: libtheora-devel
BuildRequires: scons
BuildRequires: libkate-devel

%description
Simple converter to create Ogg Theora files.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
scons prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"

%install
scons install destdir=%buildroot prefix=%_prefix mandir=%_mandir APPEND_LINKFLAGS="%ldflags" APPEND_CCFLAGS="%optflags"
install -D %name.1 %buildroot%_mandir/man1/%name.1

cat > %{_builddir}/%{name}-%{version}/README.mga << EOF

some examples using ffmpeg2theora:

to convert your DV file, called videoclip.dv to Ogg Theora:

ffmpeg2theora videoclip.dv

this will create an Ogg Theora file called videoclip.dv.ogg.

to encode with another quality, lets say Video Quality 7 and Audio Quality 3:

ffmpeg2theora -v 7 -a 3 videoclip.dv

you can also use the v2v Presets to encode your video

ffmpeg2theora -p preview videoclip.dv

or

ffmpeg2theora -p pro videoclip.dv

on linux you can use ffmpeg2theora to stream to an icecast server:
this needs the latest icecast-kh version and a small tool to send the ogg stream to the icecast server.

dvgrab --format raw - | \
	ffmpeg2theora -a 0 -v 5 -f dv -x 320 -y 240 -o /dev/stdout - | \ 
	oggfwd  icecastserver  8000 pwd /theora.ogg

crop the input

ffmpeg2theora --croptop 16 --cropbottom 16 --cropright 32 --cropleft 8 file.avi

further examples and discussion

EOF

%files 
%doc COPYING ChangeLog AUTHORS README TODO README.mga
%attr(0755,root,root) %{_bindir}/%{name}
%_mandir/man1/%name.1*


%changelog

* Fri Jan 27 2012 fwang <fwang> 0.28-2.mga2
+ Revision: 202180
- fix build with latest ffmpeg
- use our own build flags
- rebuild for new ffmpeg

* Wed Sep 07 2011 tv <tv> 0.28-1.mga2
+ Revision: 140277
- new release

* Sun Jun 26 2011 fwang <fwang> 0.27-4.mga2
+ Revision: 113843
- sync to trunk code to build with ffmpeg 0.8
- more patch against ffmpeg 0.8
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 ahmad <ahmad> 0.27-3.mga1
+ Revision: 81984
- compile with default flags
- ship subtitles.txt
- add ptch to fix format string
- fix license
- imported package ffmpeg2theora

